/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-07 10:17:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.printingproject.OrgExamInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/11/7
 */
@Component
public class CommonService {
    private static final Logger log = LoggerFactory.getLogger(CommonService.class);
    @Autowired
    private JdbcTemplate jdbcTemplate;

    /**
     * 获取所有"传统"考试列表
     * (正式场景数据极少，一次获取全部)
     */
    public List<OrgExamInfo> getTraditionExamList() {
        StringBuilder sql = new StringBuilder()
                .append("SELECT em.id AS examId,em.name AS examName,em.root_org_id AS orgId,org.name AS orgName FROM ec_e_exam em")
                .append(" INNER JOIN ec_b_org org ON org.id = em.root_org_id")
                .append(" WHERE em.exam_type = 'TRADITION' ORDER BY em.id ASC");
        //log.debug(sql.toString());
        return jdbcTemplate.query(sql.toString(), new BeanPropertyRowMapper(OrgExamInfo.class));
    }

}